SingleMaltChartItem (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class SingleMaltChartItem

    java.lang.Object
      org.maltparser.core.flow.item.ChartItem
          org.maltparser.parser.SingleMaltChartItem

    public class SingleMaltChartItem

extends ChartItem

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.core.flow.item.ChartItem
`chartItemSpecification, CONTINUE, flowChartinstance, NEWITERATION, TERMINATE`

Constructor Summary
`SingleMaltChartItem()`

Method Summary
`boolean` | `equals(Object obj)`
`SingleMalt` | `getSingleMalt()`
`String` | `getSourceName()`
`String` | `getTargetName()`
`int` | `hashCode()`
`void` | `initialize(FlowChartInstance flowChartinstance, ChartItemSpecification chartItemSpecification)` Initialize the chart item
`int` | `postprocess(int signal)` Cause the chart item to perform the postprocess tasks
`int` | `preprocess(int signal)` Cause the chart item to perform the preprocess tasks
`int` | `process(int signal)` Cause the chart item to perform the process task (for every sentence)
`void` | `setSingleMalt(SingleMalt singleMalt)`
`void` | `setSourceName(String sourceName)`
`void` | `setTargetName(String targetName)`
`void` | `terminate()` Terminates and cleans up the chart item
`String` | `toString()`

Methods inherited from class org.maltparser.core.flow.item.ChartItem
`getChartElement, getChartItemSpecification, getFlowChartInstance, getOptionContainerIndex, setChartItemSpecification, setFlowChartInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleMaltChartItem

    public SingleMaltChartItem()

Method Detail

### initialize

    public void initialize(FlowChartInstance flowChartinstance,
                           ChartItemSpecification chartItemSpecification)
                    throws MaltChainedException

  Description copied from class: `ChartItem`
  Initialize the chart item

  Overrides:
    `initialize` in class `ChartItem`
  Parameters:
    `flowChartinstance` - the flow chart instance that the chart item belongs to
    `chartItemSpecification` - a specification of the chart item
  Throws:
    `MaltChainedException`

### preprocess

    public int preprocess(int signal)
                   throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the preprocess tasks

  Specified by:
    `preprocess` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### process

    public int process(int signal)
                throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the process task (for every sentence)

  Specified by:
    `process` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if it is ready to perform the next sentence, otherwise false
  Throws:
    `MaltChainedException`

### postprocess

    public int postprocess(int signal)
                    throws MaltChainedException

  Description copied from class: `ChartItem`
  Cause the chart item to perform the postprocess tasks

  Specified by:
    `postprocess` in class `ChartItem`
  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Description copied from class: `ChartItem`
  Terminates and cleans up the chart item

  Specified by:
    `terminate` in class `ChartItem`
  Throws:
    `MaltChainedException`

### getSingleMalt

    public SingleMalt getSingleMalt()

### setSingleMalt

    public void setSingleMalt(SingleMalt singleMalt)

### getTargetName

    public String getTargetName()

### setTargetName

    public void setTargetName(String targetName)

### getSourceName

    public String getSourceName()

### setSourceName

    public void setSourceName(String sourceName)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.